透過 POST 要求造成的 PHP3 實體路徑洩漏

medium Nessus Plugin ID 10670

Synopsis

遠端伺服器受到資訊洩漏弱點的影響。

描述

遠端主機上執行的 PHP3 版本傳送不具有 Content-Type 標頭的 HTTP POST 要求時,若其未正確設定,便可洩漏指定指令碼的實體路徑。

解決方案

在 PHP 設定檔中,將 display_error 變更為 'Off' 或升級至未受影響的 PHP 版本。

另請參閱

https://seclists.org/bugtraq/2000/Jun/226

Plugin 詳細資訊

嚴重性: Medium

ID: 10670

檔案名稱: php3_path_disclosure.nasl

版本: 1.25

類型: remote

系列: CGI abuses

已發布: 2015/2/27

已更新: 2022/4/11

組態: 啟用徹底檢查

風險資訊

CVSS v2

風險因素: Medium

基本分數: 5

媒介: AV:N/AC:L/Au:N/C:P/I:N/A:N

弱點資訊

CPE: cpe:/a:php:php

必要的 KB 項目: www/PHP

弱點發布日期: 2001/5/14